-- Tables

/***** Object:  Table [VCLib].[T_RESERVED_WORD_SET] *****/
CREATE TABLE [VCLib].[T_RESERVED_WORD_SET]
(
    [ReservedWordSetID] uniqueidentifier NOT NULL,
    [Name] varchar(255) NOT NULL,
    [Entity] int NOT NULL,
    [Lexem] varchar(max) NULL
)
ON [PRIMARY]
GO

-- Alters

ALTER TABLE [VCLib].[T_RESERVED_WORD_SET] ADD CONSTRAINT [PK_T_RESERVED_WORD_SET]
PRIMARY KEY CLUSTERED ([ReservedWordSetID]) ON [PRIMARY]
GO

ALTER TABLE [VCLib].[T_RESERVED_WORD_SET] ADD CONSTRAINT [FK_T_ENTITIES_T_RESERVED_WORD_SET_Entity]
FOREIGN KEY([Entity]) REFERENCES [VCLib].[T_ENTITIES] ([EntityID])
GO

-- Tables

/***** Object:  Table [VCLib].[T_RESERVED_WORD] *****/
CREATE TABLE [VCLib].[T_RESERVED_WORD]
(
    [ReservedWordID] uniqueidentifier NOT NULL,
    [Name] varchar(255) NOT NULL,
    [ReservedWordSet] uniqueidentifier NOT NULL,
    [Path] varchar(255) NULL,
    [Code] varchar(255) NULL
)
ON [PRIMARY]
GO

-- Alters

ALTER TABLE [VCLib].[T_RESERVED_WORD] ADD CONSTRAINT [PK_T_RESERVED_WORD]
PRIMARY KEY CLUSTERED ([ReservedWordID]) ON [PRIMARY]
GO

ALTER TABLE [VCLib].[T_RESERVED_WORD] ADD CONSTRAINT [FK_T_RESERVED_WORD_SET_T_RESERVED_WORD_ReservedWordSet]
FOREIGN KEY([ReservedWordSet]) REFERENCES [VCLib].[T_RESERVED_WORD_SET] ([ReservedWordSetID])
GO
